/* init_bdw.h
 *
 *-----------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *-----------------------------------------------------------------------------
 *
 *
 *  system: IXDP2400
 *  subsystem: DIAG
 *  author: dalsraja, December 12, 2002
 *  revisions:
 * 
 * 
 * ----------------------------------------------------------------------------
 */

#ifndef INIT_BDW_H
#define INIT_BDW_H

#include "common_types.h"
#include "common_def.h"
#include "ixf_api_sonet_d.h"
#include "ixf6048d.h"
#include "bdw.h"
#include "ixf_api_d.h"

extern bb_Error_e IxfApiInit(void *baseAddress, bb_ChipType_e chipType, bb_ChipData_t *pChipData);
extern bb_Error_e Ixf6048InitChip(bb_ChipData_t* pChipData, InitRegTable_t *pTable);
extern bb_Error_e IxfApiReset(bb_ChipData_t *pChipData, bb_ChipSegment_t *section, bb_SelResetType_e resetType);

#endif	// INIT_BDW_H
