/* media_loopback.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2400
 *  subsystem: DIAG
 *  author: dalsraja, April, 2002
 *  revisions: dalsraja, May 7, 2002
 * 
 * 
 * --------------------------------------------------------------------------
 */

#ifndef MEDIA_LB_H
#define MEDIA_LB_H

#define MEDIA_LOOPBACK_RX_ME	0
#define MEDIA_LOOPBACK_TX_ME	0

void Media_Loopback_Test(void);
void Media_Loopback_Test_Slave(void);

void Media_Loopback_BD(void);
void Media_Loopback_BD_Slave(void);

void Media_Loopback_BW(void);
void Media_Loopback_BW_Slave(void);

void Media_Loopback_BW_ATM(void);
void Media_Loopback_BW_ATM_Slave(void);

#endif
