/* sys_loopback_ucode.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2400
 *  subsystem: DIAG
 *  author: dalsraja, June 27, 2002
 * 
 * --------------------------------------------------------------------------
 */

#ifndef SYS_LOOPBACK_UCODE_H
#define SYS_LOOPBACK_UCODE_H

#include "./microcode/sys_loopback_bd_in_rx.h"
#include "./microcode/sys_loopback_bd_in_tx.h"
#include "./microcode/sys_loopback_bd_eg_rx.h"
#include "./microcode/sys_loopback_bd_eg_tx.h"

#include "./microcode/sys_loopback_bd_2_in_rx.h"
#include "./microcode/sys_loopback_bd_2_in_tx.h"
#include "./microcode/sys_loopback_bd_2_eg_rx.h"
#include "./microcode/sys_loopback_bd_2_eg_tx.h"

#include "./microcode/sys_loopback_bd_3_in_rx.h"
#include "./microcode/sys_loopback_bd_3_in_tx.h"
#include "./microcode/sys_loopback_bd_3_eg_rx.h"
#include "./microcode/sys_loopback_bd_3_eg_tx.h"

#include "./microcode/sys_loopback_bw_in_rx.h"
#include "./microcode/sys_loopback_bw_in_tx.h"
#include "./microcode/sys_loopback_bw_eg_rx.h"
#include "./microcode/sys_loopback_bw_eg_tx.h"

#include "./microcode/sys_loopback_bw_2_in_rx.h"
#include "./microcode/sys_loopback_bw_2_in_tx.h"
#include "./microcode/sys_loopback_bw_2_eg_rx.h"
#include "./microcode/sys_loopback_bw_2_eg_tx.h"

#include "./microcode/sys_loopback_bw_3_in_rx.h"
#include "./microcode/sys_loopback_bw_3_in_tx.h"
#include "./microcode/sys_loopback_bw_3_eg_rx.h"
#include "./microcode/sys_loopback_bw_3_eg_tx.h"
#endif
