/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: lagarwal $
 *   DATE:           $Date: 2002/11/15 17:47:44 $
 *   LAST MODIFIED:  $Modtime: 5/16/02 5:27p $
 *   REV#:           $Revision: 1.1.1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/linecards/batteryDW/bdwcommon.h $
 *   WORKFILE:       $Workfile: bdwcommon.h $
 *
 * --------------------------------------------------------------------------
 * Project: Battery Drew/Wallace
 *
 * Purpose: 
 *
 * Notes:
 *			
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: bdwcommon.h,v $
 *   Revision 1.1.1.1  2002/11/15 17:47:44  lagarwal
 *   renaming dir
 *
 *   Revision 1.5  2002/09/09 21:48:30  cmah1
 *   no message
 *
 *   Revision 1.3  2002/07/23 16:11:58  machambe
 *   no message
 *
 *   Revision 1.2  2002/07/01 20:31:30  machambe
 *   no message
 *
 *   Revision 1.1  2002/05/22 00:03:43  machambe
 *   Initial update
 *
 * 
 * 1     5/16/02 6:27p Machambe
 * --------------------------------------------------------------------------
 */ 

#ifndef __BDWCOMMON_H_
#define __BDWCOMMON_H_

extern void DiagStructInit();

extern void 
GetI2CData(I2Cstruct_t *data);

extern void
ResetDeviceToKnownState(bb_ChipData_t *pChipData,
                        const InitRegTable_t *pTable);


#endif
