/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: lagarwal $
 *   DATE:           $Date: 2002/11/15 17:51:11 $
 *   LAST MODIFIED:  $Modtime: 1/23/02 2:21p $
 *   REV#:           $Revision: 1.1.1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/drivers/ixf/hal.h $
 *   WORKFILE:       $Workfile: hal.h $
 *
 * --------------------------------------------------------------------------
 * Project: ALL
 *
 * Purpose: Contains the macros for the hardware abstraction layer.
 *			
 * Notes:
 *			
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: hal.h,v $
 *   Revision 1.1.1.1  2002/11/15 17:51:11  lagarwal
 *   rename dir
 *
 *   Revision 1.4  2002/09/09 21:49:20  cmah1
 *   no message
 *
 *   Revision 1.2  2002/07/19 19:53:40  machambe
 *   no message
 *
 * 
 * 10    1/23/02 5:44p Rsood
 * Added macro for Simulator
 * 
 * 9     1/14/02 7:02p Machambe
 * Removing Processor directives and FORCED_ERR_JF
 * 
 * 8     1/09/02 4:47p Jjfreema
 * Added code for Froced Error Program by Joshua Freeman.
 * 
 * 7     12/14/01 6:51p Psnahlou
 * 
 * 5     11/16/01 11:16p Machambe
 * 
 * 4     11/06/01 10:42a Machambe
 * Added support for SA1100 nonaligned .
 * 
 * 3     7/03/01 4:09p Machambe
 * 
 * 2     5/03/01 3:54p Machambe
 * 
 * --------------------------------------------------------------------------
 */ 

#ifndef __HW_IF_H_ /* Include file contents only once per compilation */
#define __HW_IF_H_

#include "slowport.h"

#define READ_FROM_HW(addr) (SlowPortRead(addr))
#define WRITE_TO_HW(addr, value) (SlowPortWrite(addr, value))

#endif   /* __HW_IF_H_ */



