#/*
#*---------------------------------------------------------------------------
#*
#*                  I N T E L   P R O P R I E T A R Y
#*
#*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS
#*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY
#*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A
#*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER
#*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,
#*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT
#*     THE PRIOR WRITTEN PERMISSION OF :
#*
#*                        INTEL  CORPORATION
#*
#*                     2200 MISSION COLLEGE BLVD
#*
#*               SANTA  CLARA,  CALIFORNIA  95052-8119
#*
#*---------------------------------------------------------------------------
#
#**********************************************************************
#
#       Name:   Device driver for IXF1104CE 4 port Gigbit Ethernet device
#
#       Type:   makefile
#
#       Desc:   Compile, assemble and link product software for
#               various configurations. Further comments are
#               embedded in the file. The following targets are
#               defined for use:
#
#
#*********************************************************************/
#
# archive options
LXAROP     = rc

# linker options
LXLDOPm    = \
        -EB \
        -r



# path to compiler
PXGNU	= /opt/hardhat/devkit/arm/xscale_be/bin/xscale_be-

#Path to BSP header files
PXPATH	=  /opt/hardhat/devkit/lsp/intel-ixdp2400-arm_xscale_be/linux-2.4.18_mvl30/


# compiler/linker options
LXCCOP  =        -mbig-endian
LXLDOP     = -mbig-endian

LXCC       = $(PXGNU)gcc
LXLD       = $(PXGNU)ld
LXAR       = $(PXGNU)ar


# Linux OS - implicit rules
AR         = $(LXAR)
ARFLAGS    = $(LXAROP)
CC         = $(LXCC)
CPP        = $(CC) -E
#CPPFLAGS   = $(LXCPPOP)
#CFLAGS     = $(BLDOP)$(LXCCOP)
LD         = $(LXLD)
#LDFLAGS    = $(LXLDOP)
LDPATH     = $(LXLDPATH)

# compiler options
LXCCOP     = \
             -g                  \
             -Wstrict-prototypes \
             -mbig-endian

