/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: nmafzal $
 *   DATE:           $Date: 2002/10/31 00:56:05 $
 *   LAST MODIFIED:  $Modtime: 7/08/02 12:07a $
 *   REV#:           $Revision: 1.1.1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/drivers/ixf/ixf_api_pos_d.h $
 *   WORKFILE:       $Workfile: ixf_api_pos_d.h $
 *
 * --------------------------------------------------------------------------
 * Project: 
 *
 * Purpose: 
 *          
 * Notes:
 *          
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: ixf_api_pos_d.h,v $
 *   Revision 1.1.1.1  2002/10/31 00:56:05  nmafzal
 *   putting it in proper place
 *
 *   Revision 1.1  2002/10/30 13:00:01  machambe
 *   Initial CVS checkin
 *
 * 
 * 8     7/08/02 1:17p Pkjain2
 * Moved Calypso specific data stuctures into Calypso block specific data
 * structure file.
 * 
 * 7     4/15/02 4:52p Pkjain2
 * Cleaned up some structures that were not being used.
 * 
 * 6     12/04/01 4:22p Pkjain2
 * 
 * 5     11/10/01 11:26a Pkjain2
 * 
 * 4     11/02/01 5:10p Pkjain2
 * 
 * 3     8/17/01 2:35p Pkjain2
 * 
 * 1     8/15/01 8:34a Pkjain2
 * POS Files
 * 
 * 1     7/18/01 10:54a Rfranz
 * Initial check in - file headers only
 * 
 * --------------------------------------------------------------------------
 */
#ifndef IXF_API_POS_D_H
#define IXF_API_POS_D_H

typedef struct
{

  ulong ulPosRxGoodFrmCnt;
  ulong ulPosRxGoodFrmByteCnt;
  ulong ulPosRxAbortedFrmCnt;
  ulong ulPosRxAbortedFrmByteCnt;
  ulong ulPosRxFcsErrCnt;
  ulong ulPosRxFcsErrByteCnt;
  ulong ulPosRxMinPktLenErrCnt;
  ulong ulPosRxMaxPktLenErrCnt;
}
ixfApi_PosRxCntr_t;

typedef struct
{

  ulong ulPosTxFrmCnt;
  ulong ulPosTxByteCnt;
}
ixfApi_PosTxCntr_t;

typedef struct
{

  ixfApi_PosRxCntr_t tPosRxCounters;
  ixfApi_PosTxCntr_t tPosTxCounters;
}
ixfApi_PosCntr_t;

#endif /* IXF_API_POS_D_H */
