/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: nmafzal $
*   DATE:           $Date: 2002/10/31 00:56:05 $
*   LAST MODIFIED:  $Modtime: 5/14/02 4:06p $
*   REV#:           $Revision: 1.1.1.1 $
*   LOGFILE:        $Logfile:  $
*   WORKFILE:       $Workfile: sp.c $
*
* --------------------------------------------------------------------------
* Project: Angel Island
*
* Purpose: Provides the implementation to the slow port configuration routines.
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: sp.c,v $
*   Revision 1.1.1.1  2002/10/31 00:56:05  nmafzal
*   putting it in proper place
*
*   Revision 1.1  2002/10/30 13:00:02  machambe
*   Initial CVS checkin
*
*   Revision 1.3  2002/10/25 20:24:49  machambe
*   no message
*
* --------------------------------------------------------------------------
*/

#define CCR 	0xc2080000
#define WTC2 	0xc2080008
#define RTC2 	0xc2080010
#define PCR 	0xc2080018
#define ADC	0xc208001c
#define FAC	0xc2080020

void
sp_config (void)
{

  unsigned long *ptr = (unsigned long *) CCR;
  *ptr = 3;

  ptr = (unsigned long *) WTC2;
  *ptr = 0x91;

  ptr = (unsigned long *) RTC2;
  *ptr = 0x91;

  ptr = (unsigned long *) PCR;
  *ptr = 0x3;

  ptr = (unsigned long *) ADC;
  *ptr = 0x13;

  ptr = (unsigned long *) FAC;
  *ptr = 0x2;

}
