 /*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: machambe $
 *   DATE:           $Date: 2002/10/05 00:08:38 $
 *   LAST MODIFIED:  $Modtime: 12/04/01 1:02p $
 *   REV#:           $Revision: 1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/drivers/ixf/common_types.h $
 *   WORKFILE:       $Workfile: common_types.h $
 *
 * --------------------------------------------------------------------------
 * Project: All
 *
 * Purpose: This file defines types that are common to all IXF API and driver 
 *          modules
 *          
 * Notes:
 *          
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: common_types.h,v $
 *   Revision 1.1  2002/10/05 00:08:38  machambe
 *   no message
 *
 *   Revision 1.1  2002/07/21 01:34:38  machambe
 *   no message
 *
 * 
 * 1     12/04/01 1:39p Jaalliso
 * Common types file
 * 
 * --------------------------------------------------------------------------
 */
#ifndef __COMMON_TYPES_H__
#define __COMMON_TYPES_H__

/* Basic integer types
* Redefine these to ensure the correct sizes for each compiler. */

/* Define other integer types for compatiblity */
typedef int            sint;
typedef unsigned int   uint;
typedef long           slong;
typedef unsigned long  ulong;

#ifndef VXWORKS
typedef short          sshort;
typedef unsigned short ushort;
#endif

typedef char           schar;
typedef unsigned char  uchar;
typedef unsigned char  boolean; /* used in function calls */


#endif /* __COMMON_TYPES_H__ */
