/******************************************************************************
*
* Module: vdtdf2.h
*
* Description: vdtdf2 header file
*
* Project:     HSI VisionWare -- vWare
*
* Functions: 
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*******************************************************************************/

#ifndef _VDTDF2_			    
#define _VDTDF2_

#ifdef __cplusplus
extern "C" {
#endif

//  Includes
#include "vm.h"


typedef struct  
{
	UINT32  Width;
	UINT32  StartAddress;	// beginning of memory range to be tested
	UINT32	EndAddress;		// end of memory range to be tested
	UINT32  NumberOfPatterns;
	char 	Escape[2];
	char	Scopeloop[4];
} TDF2InParams;

typedef struct  
{
	UINT32	PassFail;
	UINT32  ReturnCode;
	char	ResultString[128];
	UINT32  Status;			// initialized to RUN; FAIL after error; XFAIL after non-recoverable err
} TDF2OutParams;



#ifdef __cplusplus
}
#endif

#endif  /* _VDTDF2_ */


