/***************************************************************************
*
* Module:		allocunits.h
*
* Description:	support for vStack
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc.  All Rights Reserved
*
****************************************************************************/
#ifndef _ALLOCUNITS_H_
#define _ALLOCUNITS_H_

//  Includes
#include	"packed.h"

// Ethernet driver specific return codes
#define PACKET_OK			101
#define NO_PACKETS_AVAIL	102
#define COMMAND_FAILED		103
#define COMMAND_OK			104
#define PACKET_ERROR		105
#define TX_PACKET_TOO_LARGE	106

#define FCC_MULTICAST 0
#define FullDuplex 0

// IOCTL Command Defines
#define CAPTURE_IN_PACKETS	0
#define TURN_ON_LOOPBACK	1
#define TURN_OFF_LOOPBACK	2
#define RELEASE_IN_PACKETS	3

#define AUOVERHEAD		6		// sizeof(BUFFER_DESCRIPTOR *) + sizeof(UINT16)
typedef __packed__ struct
{
	UINT32 ID;
	UINT16 Units;
	UINT8 Data[32];
} _PackedType AU;

#define ALLOCATIONSIZE	(200 * sizeof(AU))

#endif
