#ifndef __VFLASHLIB_H__
#define __VFLASHLIB_H__

/* vFlashLib.h - headers for boot Flash File System */

/* Copyright 2001-2002 Wind River Systems, Inc. */

#ifdef __VFLASHLIB_C__

/* defines */

/*  Define BSD compatible functions  */
#define	FLASHLIB_OPEN			MAKELIB(LIBGROUP_FFS, 1)
#define	FLASHLIB_CLOSE			MAKELIB(LIBGROUP_FFS, 2)
#define	FLASHLIB_READ			MAKELIB(LIBGROUP_FFS, 3)
#define	FLASHLIB_WRITE			MAKELIB(LIBGROUP_FFS, 4)
#define	FLASHLIB_SEEK			MAKELIB(LIBGROUP_FFS, 5)   /*  Placeholder only - function not present  */
#define	FLASHLIB_STAT			MAKELIB(LIBGROUP_FFS, 6)
#define	FLASHLIB_LS				MAKELIB(LIBGROUP_FFS, 7)
#define	FLASHLIB_CREATE			MAKELIB(LIBGROUP_FFS, 8)
#define	FLASHLIB_DELETE			MAKELIB(LIBGROUP_FFS, 9)

/*  Define additional functionality  */
#define	FLASHLIB_VF_FORMAT		MAKELIB(LIBGROUP_FFS, 10)
#define	FLASHLIB_VF_CREATE		MAKELIB(LIBGROUP_FFS, 11)
#define	FLASHLIB_VF_OPEN		MAKELIB(LIBGROUP_FFS, 12)
#define	FLASHLIB_VF_FINDFIRST	MAKELIB(LIBGROUP_FFS, 13)
#define	FLASHLIB_VF_FINDNEXT	MAKELIB(LIBGROUP_FFS, 14)
#define	FLASHLIB_VF_CLOSE		MAKELIB(LIBGROUP_FFS, 15)
#define	FLASHLIB_VF_ABORT		MAKELIB(LIBGROUP_FFS, 16)
#define	FLASHLIB_VF_READ		MAKELIB(LIBGROUP_FFS, 17)
#define	FLASHLIB_VF_WRITE		MAKELIB(LIBGROUP_FFS, 18)
#define	FLASHLIB_VF_DELETE		MAKELIB(LIBGROUP_FFS, 19)
#define	FLASHLIB_VF_GETERR		MAKELIB(LIBGROUP_FFS, 20)
#define	FLASHLIB_VF_DECODE		MAKELIB(LIBGROUP_FFS, 21)
#define	FLASHLIB_VF_BLOCKSIZE	MAKELIB(LIBGROUP_FFS, 22)
#define	FLASHLIB_VF_NUMBLKS		MAKELIB(LIBGROUP_FFS, 23)
#define	FLASHLIB_VF_RESULT		MAKELIB(LIBGROUP_FFS, 24)
#define	FLASHLIB_VF_SIZE		MAKELIB(LIBGROUP_FFS, 25)


#endif

#endif
