/***************************************************************************
*
* Module:		handles.h
*
* Description:	Linked-list mechanism
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc.  All Rights Reserved
*
****************************************************************************/
#ifndef __HANDLES_H__
#define __HANDLES_H__

#include "vTypes.h"

typedef struct __HANDLE__
{
	struct __HANDLE__ *pNext;
} __HANDLE__;

typedef struct HLIST
{
	__HANDLE__ *pHead;
	__HANDLE__ *pFree;
	UINT32 Size;
} HLIST;

global HANDLE GetFreeHandle(HLIST *pHlist);
global void ReleaseHandle(HANDLE pHandle, HLIST *pHlist);
global HANDLE FindHandle(HANDLE pHandle, HLIST *pHlist);

#endif
