/****************************************************************************
*
* Module:		Boot.h
*
* Description:
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
****************************************************************************/
#ifndef _BOOT_H_
#define _BOOT_H_

// VWARE_PARAMS_BEGIN
#define	BOOTVECTOR		0xC4000000		/* Bootvector Address	CORE|UINT32 */
#define	WORKSPACE		0x03E00000		/* Workspace Start	CORE|UINT32 */
#define	WORKSPACESIZE		0x00100000		/* Workspace Size	CORE|UINT32 */
#define	FLASHIMAGE		0xC4008000		/* Address of vWARE in Flash	CORE|UINT32 */
// VWARE_PARAMS_END

#define STARTWORKSPACE		WORKSPACE
#define	ENDWORKSPACE		(WORKSPACE+WORKSPACESIZE)

#ifndef UINT32
#define UINT32	unsigned long
#endif

#ifndef __ASSEMBLER__
typedef struct vWARE_IMAGE_STRUCT
{
	UINT32	m_nReserved0[4];
	UINT32	m_nCopySize;
	UINT32	m_nCodeSize;
	UINT32	m_nMinDataSize;
	UINT32	m_nDataSize;
} vWAREImageStruct;
#endif

#endif
