/* i2c.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2800
 *  subsystem: DIAG
 *  author: ccm, Jan 31, 02
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */

// I2C Addresses
#define SLAVE_ADDR 0x51
#define RESERVED_HIGH_ADDR 0x80 // 128bytes. This is the size of the config data
#define EEPROM_SIZE 0x100  // 256 bytes

//The following are used by the pattern test:
//#define Test_Start_Addr (RESERVED_HIGH_ADDR + 1)
//#define Test_End_Addr (EEPROM_SIZE - 1)
#define Test_Start_Addr (0)
#define Test_End_Addr (0x7F)

/* non-static Function Prototypes */
void I2C_Test(void);

