/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 BY Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/* ixd2810ModNum.h - IXD2810 MAC error numbers header file

modification history
--------------------
01a, 08oct02,eme	created
*/
#ifndef __INCixd2810ModNumh
#define __INCixd2810ModNumh

#define M_ixdLib (512 << 16)

#define	S_ixdLib_UNKNOWN_BLOCK			(M_ixdLib | 1)
#define S_ixdLib_READONLY_BLOCK 		(M_ixdLib | 2)
#define S_ixdLib_DEVICE_ALREADY_RUNNING	(M_ixdLib | 3)
#define S_ixdLib_DEVICE_ID_NOT_FOUND	(M_ixdLib | 4)
#define S_ixdLib_BOARD_ID_NOT_FOUND		(M_ixdLib | 5)
#define	S_ixdLib_DEVICE_NOT_RUNNING		(M_ixdLib | 6)
#define S_ixdLib_DEVICES_BUSY			(M_ixdLib | 7)
#define S_ixdLib_DEVICE_NOT_CREATED		(M_ixdLib | 8)
#define S_ixdLib_BLOCK_NOT_FOUND		(M_ixdLib | 9)
#define S_ixdLib_DEVICE_ALREADY_CREATED	(M_ixdLib | 10)



#endif /* __INCixd2810ModNumh */


