/* msf_init.c
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2800
 *  subsystem: DIAG
 *  author: dalsraja, May 27, 2002
 *  revisions: 
 * 
 * 
 * --------------------------------------------------------------------------
 */

#include "vm.h"		   
#include "cmd.h"
#include "ixp2800Diag.h"
#include "ixp2800Msf.h"
#include "ixp2000pci.h"
#include "ixp2000Pci.h"
#include "ixp2800Global.h"
#include "ixp2800Media.h"  
#include "ixp2x00.h"
#include "msf_init.h"
#include "led.h"

void Msf_OutOfReset(void)
{
	// Bring MSF out of reset
	PUT32(0xC0004A0C, 0x00208080);
	PUT32(0xC0004A0C, 0x00208000);

	DelayNUsec(500000);

//	printf("MSF out of reset\n");

	return;
}


void Set_Rcomp(void)
{
	printf("Setting RCOMP...writing to 0xC80000FC with 0x15291E\n");
	PUT32((0xC8000000+0xFC), 0x15291E);
	printf("Setting RCOMP...writing to 0xC80000F8 with 0x15291E\n");
	PUT32((0xC8000000+0xF8), 0x15291E);

	DelayNUsec(500000);

	printf("RCOMP overide values set...\n");

	return;
}
