/****************************************************************************
*
* Module:		core.h
*
* Description:
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
****************************************************************************/
#ifndef __CORE_H__
#define __CORE_H__

/****************************************************************************
 * VMMCONTEXT structure definition.  Contains all registers needed to
 * define an ABI context (basically, all base pointer registers).
****************************************************************************/
#ifndef __ASSEMBLER__
typedef struct VMMCONTEXT
{
	UINT32 R9;
} VMMCONTEXT;
#else
#define VmmR9	0x00
#endif
#define SIZEOFVMMCONTEXT	4

#endif									// #ifndef __CORE_H__
