*****************************************************************************
*
* Module:	isr.s
*
* Description:
*
* Project:	HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:	See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*****************************************************************************
*=== Includes ====================
	#include "cpucore.h"

*=== External References =========

*=== Global Declarations =========
	.globl	DataAbortHandler

*=== Section =====================
	.text

************************************************************************
* DataAbortHandler - this handler is installed while the constructors
* are executing in order to catch the data abort that occurs when
* accessing the PCI bus with no PCI card installed.
************************************************************************
* Called with:	RO = pointer to TempContext
* Returns:	nothing
* Prototype:	void DataAbortHandler(void *pContext)
************************************************************************
DataAbortHandler:
	ldr	r1,=0xFFFFFFFF
	str	r1,[r0,#ContextIP]
	mov	pc,lr

	.end
