
/* sysXSCALEAVware.s - BSP to vWare interface assembly routines */

/* Copyright 1984-2001 Wind River Systems, Inc. */

/*

modification history
--------------------
01a,22apr01,gh   written
*/

/*

DESCRIPTION
This module contains the BSP to vWare assembly interface routines.

*/

#define _ASMLANGUAGE 		/* Must be first */
/* globals */
	.globl	FUNC(sysVwareParamsGet)

	.data
	.align 4
	.globl FUNC(sysPrivateVwareParams)

sysPrivateVwareParams:
	.long 0,0

/* externals */
	.text
	.balign 4

/*******************************************************************************
*
* sysVwareParamsGet - get vWare params
*
* RETURNS: UINT32 vWare param

UINT32 sysVwareParamsGet (void)

*/
_ARM_FUNCTION_CALLED_FROM_C(sysVwareParamsGet)
    
	LDR	   r0, =FUNC(sysPrivateVwareParams)
    MOV    pc, lr

