/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/11/04 3:01p $
*   LAST MODIFIED:  $Modtime: 3/05/04 12:05p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/builds.h $
*   WORKFILE:       $Workfile: builds.h $
*
* --------------------------------------------------------------------------
* Project: ALL
*
* Purpose: Provides the build version information.
*			
* Notes:
*			
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/builds.h $
 * 
 * 1     3/11/04 3:01p Tepulkow
 * 
 * 1     5/16/03 1:41p Tepulkow
* 
* 19    2/27/03 10:39a Pkjain2
* 
* 18    2/14/03 1:44p Pkjain2
* 
* 17    1/30/03 4:44p Pkjain2
* Incrementing build number
* 
* 16    12/13/02 3:27p Machambe
* Incrementing build number
* 
* 15    11/19/02 1:06p Jaalliso
* v1.9
* 
* 14    11/07/02 9:43a Jaalliso
* Changing driver name to include "Driver"
* 
* 13    10/28/02 2:58p Pkjain2
* 
* 12    10/03/02 4:35p Pkjain2
* 
* 11    8/30/02 2:51p Pkjain2
* 
* 10    6/05/02 9:09a Jaalliso
* Release 1.5
* 
* 9     5/21/02 8:09a Jaalliso
* Release 1.4
* 
* 8     5/07/02 8:41a Jaalliso
* Revision 1.3
* 
* 7     4/16/02 11:54a Jaalliso
* Rev 1.2
* 
* 6     4/09/02 1:09p Jaalliso
* Bumping rev. to 1.1
* 
* 5     3/28/02 3:22p Jaalliso
* Changing driver name to Intel Optical Components IXF API
* 
* 4     8/24/01 5:12p Machambe
* 
* 3     8/15/01 4:54p Machambe
* Incrementing Rev #
* 
* 2     7/24/01 11:47a Machambe
* 
* 1     7/19/01 6:05p Machambe
* 
* 5     5/03/01 3:54p Machambe
* 
* --------------------------------------------------------------------------
*/ 

#ifndef __BUILDS_H_
#define __BUILDS_H_

#define IXF_DRIVER_NAME "Intel Optical Components IXF Driver"
#define IXF_BUILD_DATE __DATE__
#define IXF_BUILD_VERSION   1
#define IXF_BUILD_REV       13

#endif /* __BUILDS_H_ */
