/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/11/04 3:03p $
*   LAST MODIFIED:  $Modtime: 3/05/04 12:05p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf1810x/ixf18100_gfp_d.h $
*   WORKFILE:       $Workfile: ixf18100_gfp_d.h $
*
* --------------------------------------------------------------------------
* Project: 
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf1810x/ixf18100_gfp_d.h $
 * 
 * 1     3/11/04 3:03p Tepulkow
 * 
 * 1     5/16/03 1:43p Tepulkow
* 
* 1     7/08/02 1:37p Pkjain2
* Moved Calypso specific data stuctures into Calypso block specific data
* structure file.
* 
* 7     4/15/02 4:52p Pkjain2
* Cleaned up some structures that were not being used.
* 
* 6     12/04/01 4:22p Pkjain2
* 
* 5     11/10/01 11:26a Pkjain2
* 
* 4     11/08/01 3:26p Pkjain2
* 
* 3     11/06/01 2:01p Pkjain2
* 
* 2     11/02/01 5:10p Pkjain2
* 
* 1     9/07/01 11:12a Pkjain2
* 
* 1     8/15/01 8:34a Pkjain2
* GFP Files
* 
* 1     7/18/01 10:54a Rfranz
* Initial check in - file headers only
* 
* --------------------------------------------------------------------------
*/
#ifndef IXF18100_GFP_D_H
#define IXF18100_GFP_D_H

typedef struct 
{
    
    uchar	ucGfpProgrammedMode;
    
    uchar	ucGfpExi3Length;
    uchar	ucGfpExi4Length;
    
    uchar	ucGfpExi5Length;
    uchar	ucGfpExi6Length;
    
    uchar	ucGfpExi7Length;
    uchar	ucGfpExi8Length;
    
    uchar	ucGfpExi9Length;
    uchar	ucGfpExi10Length;
    
    uchar	ucGfpExi11Length;
    uchar	ucGfpExi12Length;
    
    uchar	ucGfpExi13Length;
    uchar	ucGfpExi14Length;
    
    uchar	ucGfpExi15Length;
    
    ushort	uiGfpMaxFrmSize;
}ixf18100_GfpGlbCfg_t;

typedef struct 
{
    
    uchar	ucGfpRxStorePliEn;
    uchar	ucGfpRxPliValToStore;
    
    uchar	ucGfpRxPldScrmbEn;
    uchar	ucGfpRxFcsProcessingEn;
    uchar	ucGfpSendLosSigToWisEn;
    uchar	ucGfpFwdFrmInAllStateEn;
    uchar	ucGfpRxMarkErrFrmToSifEn;
    uchar	ucGfpRxcHecAlgoEn;
    uchar	ucGfpRxtHecAlgoEn;
    uchar	ucGfpRxFwdDescrmbCoreHdrToSifEn;
    uchar	ucGfpRxCoreHdrDescrmbEn;
    uchar	ucGfpRxPldDescrmbInPreSyncEn;
    
    uchar	ucGfpReceiverEn;
    uchar	ucGfpRxMarkLargeFrmEn;
    uchar	ucGfpRxProcessCtrlFrmCrcEn;
    
    uchar	ucGfpRxNumtHecFailToCauseIntr;
    uchar	ucGfpRxIncCorrectedtHecFailInCount;
    uchar	ucGfpRxNumeHecFailToCauseIntr;
    
    uchar	ucGfpNumCtrlFrmRcvdToCauseIntr;
    uchar	ucGfpRxNumFcsFailToCauseIntr;
    
    uchar	ucGfpRxcHecFrmDeliDeltaVal;
}ixf18100_GfpRxCfg_t;

typedef struct
{
    
    uchar	ucGfpPliOfTxCtrlFrm;
    
    uchar	ucGfpTxPldScrmbEn;
    uchar	ucGfpTxFcsAppendEn;
    uchar	ucGfpTxInsFcsErrEn;
    uchar	ucGfpTxCoreHdrScrmbEn;
    uchar	ucGfpTxInsErrInDataStrEn;
    uchar	ucGfpTxInsErrInIdleStrEn;
    
    uchar	ucGfpSendCtrlFrmEn;
    uchar	ucGfpTransmitterEn;
    uchar	ucGfpReadFromSifFifoEn;
    uchar	ucGfpTxAppendCrcEn;
    uchar	ucGfpTxCoreHdrDescrmbEn;
    
    ushort	uiGfpTxOamBytes12;
    
    ushort	uiGfpTxOamBytes34;
    
    ushort	uiGfpTxOamBytes56;
}ixf18100_GfpTxCfg_t;

typedef struct {
    
    ixf18100_GfpGlbCfg_t	GfpGlbCfg;
    ixf18100_GfpRxCfg_t	GfpRxCfg;
    ixf18100_GfpTxCfg_t	GfpTxCfg;
}ixf18100_GfpCfg_t;

typedef struct {
    
    uchar	ucGfpProgrammedMode;
    uchar	ucGfpRxDeliFsmState;
    uchar	ucGfpRxAisIndication;
    uchar	ucGfpRxCtrlBytOfCsfFrm;
    
    ushort	uiGfpTxLastPliVal;
    
    ushort	uiGfpRxLastPliVal;
    
    ushort	uiGfpTxLastPldTypeVal;
    
    ushort	uiGfpRxLastPldTypeVal;
    
}ixf18100_GfpStatus_t;

#endif /* IXF18100_GFP_D_H */

