/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:58p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXD2810INT/include/portstat.h $
*   WORKFILE:       $Workfile: portstat.h $
*
 *-------------------------------------------------------------------------------
 *	Description:
 *-------------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXD2810INT/include/portstat.h $
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:57p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 2     10/07/03 2:02p Tepulkow
 * General cleanup for code review
 * 
* 
* --------------------------------------------------------------------------
*/

#ifndef __PORTSTAT_H
#define __PORTSTAT_H

/* enumerations */
enum LinkStates { DOWN, UP};
enum SpeedStates {SPEED_10, SPEED_100, SPEED_1000};
enum DuplexStates {HALF, FULL};


typedef struct PortStatus {
	enum LinkStates link;
	enum SpeedStates speed;
	enum DuplexStates duplex;
} PortStatusObj;

#endif /* __PORTSTAT_H */






