/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf1110/ixf1110_d.h $
*   WORKFILE:       $Workfile: ixf1110_d.h $
*
* --------------------------------------------------------------------------
* Project: ixf1110 family device API
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf1110/ixf1110_d.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:57p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 8     10/10/03 2:57p Tepulkow
 * removed the define for MAC_CNT, it was a duplicate of a similar macro
 * in XGMAC.H
 * 
 * 7     10/01/03 10:50a Rnballar
 * changed ixf1110_REG_SHIFT to 0x0
 * 
 * 6     9/18/03 10:29a Tepulkow
 * removed xgmac_sz define
 * 
 * 5     9/16/03 10:35a Rnballar
 * added port count define
 * 
 * 4     9/16/03 8:12a Tepulkow
 * Changed PORTCTRL_BASE define to XGMAC_BASE
 * 
 * 3     9/09/03 4:46p Tepulkow
 * Created and modified many header files for IXF GI creation
 * 
 * 2     9/08/03 11:23a Tepulkow
 * 
 * 1     8/04/03 3:51p Tepulkow
 * 
 * 1     5/16/03 1:43p Tepulkow
* 
* 5     12/04/01 4:23p Pkjain2
* 
* 4     11/20/01 3:46p Pkjain2
* 
* 3     11/10/01 11:25a Pkjain2
* 
* 2     11/08/01 3:26p Pkjain2
* 
* 1     7/18/01 10:55a Rfranz
* Initial check in - file headers only
* 
* --------------------------------------------------------------------------
*/

#ifndef __IXF1110_D_H__
#define __IXF1110_D_H__


#define ixf1110_XGMAC_BASE	  	  0x0000      
#define ixf1110_GLOBAL_BASE       0x0500      
#define ixf1110_RX_BASE           0x0580      
#define ixf1110_TX_BASE           0x0600      
#define ixf1110_SPI4_BASE         0x0700
#define ixf1110_SERDES_BASE       0x0780
#define ixf1110_GBIC_BASE         0x0799


/* This shift allows either address or pointer arithmetic to be used. */
#define ixf1110_REG_SHIFT          0x0

#define ixf_BIT(shift)		(0x1 << shift)

#define HAL_IXF1110_READ	READ_FROM_HW
#define HAL_IXF1110_WRITE	WRITE_TO_HW

#endif /*__IXF1110_D_H__*/

