/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_ether.h $
*   WORKFILE:       $Workfile: ixf_api_ether.h $
*
* --------------------------------------------------------------------------
* Project: IXF API
*
* Purpose: XGMAC portion of the IXF API
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_ether.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 2     10/07/03 2:02p Tepulkow
 * General cleanup for code review
 * 
* --------------------------------------------------------------------------
*/


#ifndef __IXF_API_ETHER_H__
#define __IXF_API_ETHER_H__

/******************************************************************
* Function : IxfApiGetMacAddress
*-----------------------------------------------------------------
* Description  : 
*-----------------------------------------------------------------
* Inputs  : 
* Outputs : 
*-----------------------------------------------------------------
* Returns : 
*-----------------------------------------------------------------
* Access Globals : 
*-----------------------------------------------------------------
* Comments : 
******************************************************************/

/* The types below define the XGMAC prototypes */
extern bb_Error_e
IxfApiGetMacAddress(bb_ChipData_t* pChipData,
                    bb_ChipSegment_t *section,
                    IxfApi_MacAddress_t *address);



                    /******************************************************************
                    * Function : IxfApiSetMacAddress
                    *-----------------------------------------------------------------
                    * Description  : 
                    *-----------------------------------------------------------------
                    * Inputs  : pChipData : Initialized Chip Data
                    *           section   : Determines the section(block) to set the
                    *  						window size.
                    *           mode      : The clearing/setting mode.
                    *           
                    * Outputs : None.
                    *-----------------------------------------------------------------
                    * Returns : Status
                    *-----------------------------------------------------------------
                    * Access Globals : None.
                    *-----------------------------------------------------------------
                    * Comments : None.
******************************************************************/
extern bb_Error_e
IxfApiSetMacAddress(bb_ChipData_t* pChipData,
                    bb_ChipSegment_t  *section,
                    IxfApi_MacAddress_t *address);

#endif

