/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_gfp_d.h $
*   WORKFILE:       $Workfile: ixf_api_gfp_d.h $
*
* --------------------------------------------------------------------------
* Project: 
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_gfp_d.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 2     10/07/03 2:02p Tepulkow
 * General cleanup for code review
 * 
* --------------------------------------------------------------------------
*/
#ifndef IXF_API_GFP_D_H
#define IXF_API_GFP_D_H

typedef struct {
    
    ulong	ulGfpRxFrmSbcHecFailCnt;
    ulong	ulGfpRxFrmMbcHecCnt;
    ulong	ulGfpRxFrmSbtHecFailCnt;
    ulong	ulGfpRxFrmMbtHecCnt;
    ulong	ulGfpRxFrmeHecCnt;
    ulong	ulGfpRxCtrlFrmCrcErrCnt;
    ulong	ulGfpRxFrmFcsErrCnt;
    ulong	ulGfpRxCtrlFrmCnt;
    ulong	ulGfpRxLargeFrmCnt;
    ulong	ulGfpRxGoodFrmCnt;
    
    uchar	ucGfpRxCtrlFrmIntCnt;
    uchar	ucGfpRxtHecErrIntCnt;
    uchar	ucGfpRxeHecErrIntCnt;
    uchar	ucGfpRxFcsErrIntCnt;
}ixfApi_GfpRxCntr_t;

typedef struct {
    
    ulong	ulGfpTxGoodFrmCnt;
    ulong	ulGfpTxErrFrmCnt;
}ixfApi_GfpTxCntr_t;

typedef struct {
    
    ixfApi_GfpRxCntr_t	GfpRxCntr;
    ixfApi_GfpTxCntr_t	GfpTxCntr;
}ixfApi_GfpCntr_t;

#endif /* IXF_API_GFP_D_H */
