/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_perf_metric.h $
*   WORKFILE:       $Workfile: ixf_perf_metric.h $
*
* --------------------------------------------------------------------------
* Project: IXF
*
* Purpose: 
*			
* Notes:
*			
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_perf_metric.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 2     10/07/03 2:02p Tepulkow
 * General cleanup for code review
 * 
* --------------------------------------------------------------------------
*/ 


#ifndef IXF_PERFORMANCE_METRICS_H
#define IXF_PERFORMANCE_METRICS_H

#define IXF_EVENT_LLHANDLER_ENTRY           1
#define IXF_EVENT_CHIPISR_ENTRY             2
#define IXF_EVENT_MASTER_INTRHNDLR_ENTRY    3
#define IXF_EVENT_MASTER_INTRHNDLR_EXIT     4
#define IXF_EVENT_CHIPISR_EXIT              5
#define IXF_EVENT_LLHANDLER_EXIT            6
#define IXF_EVENT_CALLBACK                  7
#define IXF_EVENT_BEFORE_READ               8
#define IXF_EVENT_AFTER_READ                9
#define IXF_EVENT_BEFORE_WRITE              10
#define IXF_EVENT_AFTER_WRITE               11

#endif /* IXF_PERFORMANCE_METRICS_H */
