/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: Tepulkow $
 *   DATE:           $Date: 3/08/04 1:57p $
 *   LAST MODIFIED:  $Modtime: 3/05/04 2:07p $
 *   REV#:           $Revision: 1 $
 *   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/include/ixf18100_util.h $
 *   WORKFILE:       $Workfile: ixf18100_util.h $
 *
 * --------------------------------------------------------------------------
 * Project: ixf18100 family device API
 *
 * Purpose: 
 *          
 * Notes:
 *          
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/include/ixf18100_util.h $
 * 
 * 1     3/08/04 1:57p Tepulkow
 * 
 * 1     6/27/03 4:44p Daly
 * 
 * 1     6/27/03 4:43p Daly
 * 
 * 9     1/20/03 2:05p Pkjain2
 * beautified the code
 * 
 * 6     11/13/02 2:00p Jaalliso
 * Removed unnecessary #includes
 * 
 * 5     12/05/01 10:38a Pkjain2
 * 
 * 4     12/04/01 4:24p Pkjain2
 * 
 * 3     11/20/01 3:46p Pkjain2
 * 
 * 2     8/08/01 3:50p Rfranz
 * added support for debugging using memory block instead of Calypso
 * device or simulator.  Moved device read/write macros/functions to
 * ixf18100_util.[ch]
 * 
 * 
 * 1     7/18/01 10:55a Rfranz
 * Initial check in - file headers only
 * 
 * --------------------------------------------------------------------------
 */
#ifndef __IXF18100_UTIL_H__
#define __IXF18100_UTIL_H__

/******************************************************************************
* Function : Ixf18100SetBits16
*------------------------------------------------------------------------------
* Description : This function does a read-modify-write on a set of bits in
*       a 16 bit register.
*------------------------------------------------------------------------------
* Inputs  : puiReg: Address of the register to be modified.
*           uiMask: Mask for the bits to be modified.
*           uiValue: Value to be written into the register.
* Outputs : None
*------------------------------------------------------------------------------
* Returns : None
*------------------------------------------------------------------------------
* Access Globals :
*------------------------------------------------------------------------------
* Comments : 
******************************************************************************/
extern void
Ixf18100SetBits16(ushort *puiReg, ushort uiMask, ushort uiValue);

#endif /* __IXF18100_UTIL_H__ */
