/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: Tepulkow $
 *   DATE:           $Date: 3/08/04 1:56p $
 *   LAST MODIFIED:  $Modtime: 3/05/04 2:07p $
 *   REV#:           $Revision: 1 $
 *   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_api_spi4_d.h $
 *   WORKFILE:       $Workfile: ixf_api_spi4_d.h $
 *
 * --------------------------------------------------------------------------
 * Project: 
 *
 * Purpose: 
 *          
 * Notes:
 *          
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_api_spi4_d.h $
 * 
 * 1     3/08/04 1:56p Tepulkow
 * 
 * 1     6/27/03 4:44p Daly
 * 
 * 9     7/08/02 1:17p Pkjain2
 * Moved Calypso specific data stuctures into Calypso block specific data
 * structure file.
 * 
 * 8     4/15/02 4:52p Pkjain2
 * Cleaned up some structures that were not being used.
 * 
 * 7     3/06/02 12:52p Pkjain2
 * 
 * 6     12/04/01 4:22p Pkjain2
 * 
 * 5     11/10/01 11:26a Pkjain2
 * 
 * 4     11/06/01 2:01p Pkjain2
 * 
 * 3     9/05/01 5:12p Pkjain2
 * Updated data structures to new spec received last week of august
 * 
 * 2     8/15/01 8:34a Pkjain2
 * Added Spi4 Structures
 * 
 * 1     7/18/01 10:54a Rfranz
 * Initial check in - file headers only
 * 
 * --------------------------------------------------------------------------
 */

#ifndef __IXFAPI_SPI4_D_H__
#define __IXFAPI_SPI4_D_H__

typedef struct {

	ulong		ulSifRxBusErrCnt;
	ulong		ulSifRxFifoFullErrCnt;
	ulong		ulSifRxDip2ErrCnt;
	ulong		ulSifRxNoEndOfPktErrCnt;
} ixfApi_Spi4RxCntr_t;

typedef struct {

	ulong		ulSifTxBusErrCnt;
	ulong		ulSifTxParityErrCnt;
	ulong		ulSifTxFifoFullErrCnt;
	ulong		ulSifTxNoEndOfPktErrCnt;
} ixfApi_Spi4TxCntr_t;

typedef struct {

	ixfApi_Spi4RxCntr_t	Spi4RxCntr;
	ixfApi_Spi4TxCntr_t	Spi4TxCntr;
} ixfApi_Spi4Cntr_t;

#endif /*__IXFAPI_SPI4_D_H__*/
