/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: Tepulkow $
 *   DATE:           $Date: 3/08/04 1:56p $
 *   LAST MODIFIED:  $Modtime: 3/05/04 2:07p $
 *   REV#:           $Revision: 1 $
 *   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_perf_metric.h $
 *   WORKFILE:       $Workfile: ixf_perf_metric.h $
 *
 * --------------------------------------------------------------------------
 * Project: IXF
 *
 * Purpose: 
 *			
 * Notes:
 *			
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_perf_metric.h $
 * 
 * 1     3/08/04 1:56p Tepulkow
 * 
 * 1     6/27/03 4:44p Daly
 * 
 * 1     1/03/03 1:47p Pkjain2
 * 
 * 7     10/01/02 9:49a Rsood
 * Updated the interrupt handling mechanism
 * 
 * 6     5/30/02 12:00p Rsood
 * 
 * 5     5/21/02 12:08p Machambe
 * 
 * 4     5/17/02 2:27p Rsood
 * Updated interrupt handling
 * 
 * 
 * --------------------------------------------------------------------------
 */ 


#ifndef IXF_PERFORMANCE_METRICS_H
#define IXF_PERFORMANCE_METRICS_H

#define IXF_EVENT_LLHANDLER_ENTRY           1
#define IXF_EVENT_CHIPISR_ENTRY             2
#define IXF_EVENT_MASTER_INTRHNDLR_ENTRY    3
#define IXF_EVENT_MASTER_INTRHNDLR_EXIT     4
#define IXF_EVENT_CHIPISR_EXIT              5
#define IXF_EVENT_LLHANDLER_EXIT            6
#define IXF_EVENT_CALLBACK                  7
#define IXF_EVENT_BEFORE_READ               8
#define IXF_EVENT_AFTER_READ                9
#define IXF_EVENT_BEFORE_WRITE              10
#define IXF_EVENT_AFTER_WRITE               11

#endif /* IXF_PERFORMANCE_METRICS_H */
