/* misc_func.c
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXP2400
 *  subsystem: DIAG
 *  author: ccm, Apr 11, 2002
 * 
 * --------------------------------------------------------------------------
 */

#include "misc_func.h"

/*
int strcmp(char *a, char *b)
{
    while (*a++ == *b++)
	if (*a == 0)
	    return 0;
    return ((unsigned char)*a - (unsigned char)*b);
}

int strlen(char *s)
{
  int len;
  len = 0;
  while (*s++ != 0) 
    len++;
  return (len);
}
*/
char *strcpy(char *s1, const char *s2)
{
    char c;
    char *_s1 = s1;

    while ((c = *s2++) != '\0')
        *s1++ = c;
    *s1 = '\0';
    return _s1;
}


void bzero(volatile char *s, long count)
{
  while (count--) 
    *s++ = 0;
}

void bcopy(unsigned int *from, unsigned int *to, int count)
{
  while (count--) 
    *to++ = *from++;
}

char tolower(char c)
{
  if ((c >= 'A') && (c <= 'Z')) 
    c = c - 'A' + 'a';
  return(c);
}

char toupper(char c)
{
  if ((c >= 'a') && (c <= 'z')) 
    c = c - 'a' + 'A';
  return(c);
}

int isalpha(char c)
{
    c = tolower(c);
    return((c >= 'a') && (c <= 'z'));
}

int isdigit(char c)
{
    return ((c >= '0') && (c <= '9'));
}


int
strncmp(const char *s1, const char *s2, int len)
{
    char c1, c2;

    if (len == 0)
        return 0;
    do {
        if ((c1 = *s1++) != (c2 = *s2++))
            return ((unsigned char)c1 - (unsigned char)c2);
        if (c1 == 0)
            break;
    } while (--len != 0);
    return 0;
}

// little-endian to big-endian translation
unsigned long swap32(unsigned long x)
{
    unsigned long r = 0;

    r |= (x>>24)&0xFF;
    r |= ((x>>16)&0xFF)<<8;
    r |= ((x>>8)&0xFF)<<16;
    r |= ((x)&0xFF)<<24;

    return r;
}

void flash_read(volatile unsigned char *addr,unsigned char *buf, int len)
{
	int i;
	for(i=0;i<len;i++)
	{
		buf[i]=*addr;
		addr++;
	}
}
