/* console_monitor.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXP2400
 *  subsystem: DIAG
 *  author: ccm, Apr 21, 02
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */
#ifndef _CONSOLE_MONITOR_H
#define _CONSOLE_MONITOR_H

/* global variables */
#define BACKSPACE '\b'    /* make it delete for now...*/
#define NCMDLINE    82
#define CMD_LINE_LENGTH 127
#define CMD_BUF_SIZE 16

// Function prototypes
void UnGetChar(char c);
char RawMonGetChar(void);
char MonGetChar(void);
void FlushLine(void);
int ReadHex(void);
void ReadString(char *s);
int getCmdLine(char* cmdLine);

#endif
