/* misc_func.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXP2400
 *  subsystem: DIAG
 *  author: ccm, Apr 11, 2002
 * 
 * --------------------------------------------------------------------------
 */
#ifndef _MISC_FUNC_H
#define _MISC_FUNC_H

// Function prototypes

/*
int strcmp(char *a, char *b);
int strlen(char *s);
*/

char *strcpy(char *s1, const char *s2);
void bzero(volatile char *s, long count);
void bcopy(unsigned int *from, unsigned int *to, int count);
char tolower(char c);
char toupper(char c);
int isalpha(char c);
int isdigit(char c);
int strncmp(const char *s1, const char *s2, int len);
unsigned long swap32(unsigned long x);
void flash_read(volatile unsigned char *addr,unsigned char *buf, int len);
//int memcmp(const void *_dst, const void *_src, size_t len);

#endif
