/* msf_common.c
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2400
 *  subsystem: DIAG
 *  author: dalsraja, May 8, 2002
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */

#ifndef MSF_COMMON_H
#define MSF_COMMON_H

#define EXT_HDR					0x11223344

#define MASK_8BIT				0xFF
#define MASK_16BIT				0xFFFF

#define PACKET_SENT				0x1010
#define PACKET_RECEIVED			0x2020
#define TEST_COMPLETE			0xBABE
#define ERROR_PATTERN			0xF0F0
#define INCORRECT_TYPE			0xF1F1
#define INCORRECT_SIZE			0xF2F2
#define NOT_SENT				0xF3F3
#define NOT_RECEIVED			0xF4F4
#define SLAVE_MAILBOX0_NO_SIG	0xF5F5
#define SLAVE_MAILBOX1_NO_SIG	0xF6F6
#define INIT_ERROR				0xF7F7
#define INIT_COMPLETE			0xF8F8
#define NOT_COMPLETE			0xF9F9
#define RECEIVE_ERROR			0xFAFA
#define SEQUENCE_ERROR			0xFBFB

#endif
