/* test_main.c
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2002 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXP2400
 *  subsystem: DIAG
 *  author: ccm, Jan 21, 02
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */
#ifndef _TEST_MAIN_H
#define _TEST_MAIN_H

void Diag_Tests(void);
void Ethernet_test(void);
void Flash_Test(void);
void GPIO_Test(void);
void I2C_Test(void);
void LED_Test(void);
void Memory_Test(void);
void ME_Test(void);
void Pci_Test(void);
void TMon_Test(void);
void Timer_Test(void);
void UART_Test(void);
void Xscale_Test(void);
void Msf_Test(void);
void Loopback_Test(void);
void Line_Rate_Test(void);
#ifdef EMI
void EMI_Test(void);
#endif
#ifdef INTERNAL_TEST
void Analog_Measurement(void);
#endif
#ifdef NPU_SCREEN
void screen_test(void);
#endif
void all_test(void);


#endif
