/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: nmafzal $
*   DATE:           $Date: 2002/10/31 00:56:05 $
*   LAST MODIFIED:  $Modtime: 5/14/02 4:06p $
*   REV#:           $Revision: 1.1.1.1 $
*   LOGFILE:        $Logfile:  $
*   WORKFILE:       $Workfile: sim.c $
*
* --------------------------------------------------------------------------
* Project: Angel Island
*
* Purpose: Provides the implementation to the simulator read and write routines.
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: sim.c,v $
*   Revision 1.1.1.1  2002/10/31 00:56:05  nmafzal
*   putting it in proper place
*
*   Revision 1.1  2002/10/30 13:00:02  machambe
*   Initial CVS checkin
*
*   Revision 1.3  2002/10/25 20:24:49  machambe
*   no message
*
* --------------------------------------------------------------------------
*/

#include "common_types.h"
#include "common_def.h"

ushort
SimulatorRead (bb_RegPointer_type addr)
{
  printf ("Reading %p\n", addr);
  return 1;
}

ushort
SimulatorWrite (bb_RegPointer_type addr, ushort val)
{
  if ((ulong) addr & 0x2)
    (ulong) addr &= 0xFFFFFFFD;
  else
    (ulong) addr |= 0x00000002;

  printf ("Writing %p content %04x\n", addr, val);
  return bb_NO_ERROR;
}
