/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: nmafzal $
*   DATE:           $Date: 2003/02/13 23:12:10 $
*   LAST MODIFIED:  $Modtime: 5/14/02 4:06p $
*   REV#:           $Revision: 1.1 $
*   LOGFILE:        $Logfile:  $
*   WORKFILE:       $Workfile: slowport.h $
*
* --------------------------------------------------------------------------
* Project: Angel Island
*
* Purpose: Provides the specification to the linux support routines and data
*          definitions.
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: slowport.h,v $
*   Revision 1.1  2003/02/13 23:12:10  nmafzal
*   added file for ixp2000 specific stuff
*
*   Revision 1.0  2003/02/07 00:56:05  nmafzal
*
* --------------------------------------------------------------------------
*/

#ifndef __SLOWPORT_H__
#define __SLOWPORT_H__

/*IXP2400_PROD_ID register bits*/
#define MAJ_PROD_TYPE   0x001F0000
#define MIN_PROD_TYPE   0x0000FF00
#define MAJ_REV         0x000000F0
#define MIN_REV         0x0000000F
#define PROD_ID         0xFFFFFFFF

#define IXP_PROD_ID_REG		GLOBAL_REG_BASE+0x0

static inline unsigned int get_npu_product_id(unsigned int mask)
{
        return  (*(unsigned int *)(IXP_PROD_ID_REG) & mask);
}

#endif /* __SLOWPORT_H__ */
