/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: machambe $
 *   DATE:           $Date: 2002/10/05 00:08:38 $
 *   LAST MODIFIED:  $Modtime: 6/05/02 9:09a $
 *   REV#:           $Revision: 1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/drivers/ixf/builds.h $
 *   WORKFILE:       $Workfile: builds.h $
 *
 * --------------------------------------------------------------------------
 * Project: ALL
 *
 * Purpose: Provides the build version information.
 *			
 * Notes:
 *			
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: builds.h,v $
 *   Revision 1.1  2002/10/05 00:08:38  machambe
 *   no message
 *
 *   Revision 1.1  2002/07/21 01:34:38  machambe
 *   no message
 *
 * 
 * 10    6/05/02 9:09a Jaalliso
 * Release 1.5
 * 
 * 9     5/21/02 8:09a Jaalliso
 * Release 1.4
 * 
 * 8     5/07/02 8:41a Jaalliso
 * Revision 1.3
 * 
 * 7     4/16/02 11:54a Jaalliso
 * Rev 1.2
 * 
 * 6     4/09/02 1:09p Jaalliso
 * Bumping rev. to 1.1
 * 
 * 5     3/28/02 3:22p Jaalliso
 * Changing driver name to Intel Optical Components IXF API
 * 
 * 4     8/24/01 5:12p Machambe
 * 
 * 3     8/15/01 4:54p Machambe
 * Incrementing Rev #
 * 
 * 2     7/24/01 11:47a Machambe
 * 
 * 1     7/19/01 6:05p Machambe
 * 
 * 5     5/03/01 3:54p Machambe
 * 
 * --------------------------------------------------------------------------
 */ 

#ifndef __BUILDS_H_
#define __BUILDS_H_

#define OCD_DRIVER_NAME "Intel Optical Components IXF API"
#define OCD_BUILD_DATE __DATE__
#define OCD_BUILD_VERSION   1
#define OCD_BUILD_REV       5

#endif /* __BUILDS_H_ */
