/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: machambe $
 *   DATE:           $Date: 2002/10/05 00:08:39 $
 *   LAST MODIFIED:  $Modtime: 12/04/01 1:40p $
 *   REV#:           $Revision: 1.1 $
 *   LOGFILE:        $Logfile: /Embedded/source/drivers/stb/sim.h $
 *   WORKFILE:       $Workfile: sim.h $
 *
 * --------------------------------------------------------------------------
 * Project: ALL
 *
 * Purpose: Provides the specification routines for the simulator
 *			
 * Notes:
 *			
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: sim.h,v $
 *   Revision 1.1  2002/10/05 00:08:39  machambe
 *   no message
 *
 * 
 * 3     12/04/01 4:26p Pkjain2
 * 
 * 2     5/03/01 3:54p Machambe
 * 
 * --------------------------------------------------------------------------
 */ 

#ifndef __SIM_H_
#define __SIM_H_

#ifdef SLOW_PORT_FIX

extern ushort SlowPortRead(bb_RegPointer_type addr);

extern ushort SlowPortWrite(bb_RegPointer_type addr, ushort val);

#else

extern ushort SimulatorRead(bb_RegPointer_type addr);

extern ushort SimulatorWrite(bb_RegPointer_type addr, ushort val);

#endif

#endif /* __SIM_H_ */
