/***************************************************************************
*
* Module: vdLoop.h
*
* Description: vdLoop Header file
*
* Project:     EST VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright (c) 1995, 2000, EST Corporation
*    This  program  is confidential and proprietary to EST Corporation
*	 and, without the  express  prior written permission of an officer
*	 of EST  Corporation, may not be  copied, reproduced, disclosed to
*	 others published  or used, in  whole  or in part, for any purpose
*	 other than that for which it is being made available.This program
*	 is protected pursuant to applicable copyright laws, including the
*	 U.S.  Copyright  Act. This   program  is  to  be  returned to EST
*	 Corporation  upon the earlier of demand and the accomplishment of
*	 the purpose for which it was provided.
****************************************************************************/

#ifndef _VDLOOP_			    
#define _VDLOOP_

#ifdef __cplusplus
extern "C" {
#endif

//  Includes
#include "vm.h"

typedef struct		
{
	UINT32 LoopStart;
	UINT32 Pattern;
	int LoopEnd;
	UINT32 TimeDelay;

} loopinput;

void ExtScopeLoopSetup(UINT32 address, UINT32 pattern);

#ifdef __cplusplus
}
#endif

#endif  /* _VDLOOP_ */


