/******************************************************************************
*
* Module: vdtdf1.h
*
* Description: TDF1  header file
*
* Project:     HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*******************************************************************************/

#ifndef _VDTDF1H_		
#define _VDTDF1H_

#ifdef __cplusplus
extern "C" {
#endif

//  Includes
#include "vm.h"


typedef struct
{
	UINT32 Width;
	UINT32 Start;
	UINT32 End;
	UINT32 lNumberOfPatterns;
	char Escape[2];
	char Scopeloop[4];
} TDF1_in;

typedef struct
{
	UINT32 Status;
	char Result[64];
	UINT32 Address;
	UINT32 Expected;
	UINT32 Read;
} TDF1_out01;

typedef struct
{
	UINT32 PassFail;
	UINT32 ReturnCode;
	char ResultString[128];
} TDF1_out02;



#ifdef __cplusplus
}
#endif

#endif  /* _VDTDF1H_ */


