/***************************************************************************
*
* Module: vdtdf3.h
*
* Description: vdTdf3 Header file
*
* Project:     EST VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright (c) 1995, 2000, EST Corporation
*    This  program  is confidential and proprietary to EST Corporation
*	 and, without the  express  prior written permission of an officer
*	 of EST  Corporation, may not be  copied, reproduced, disclosed to
*	 others published  or used, in  whole  or in part, for any purpose
*	 other than that for which it is being made available.This program
*	 is protected pursuant to applicable copyright laws, including the
*	 U.S.  Copyright  Act. This   program  is  to  be  returned to EST
*	 Corporation  upon the earlier of demand and the accomplishment of
*	 the purpose for which it was provided.
****************************************************************************/

#ifndef _VDTDF3_			    
#define _VDTDF3_

#ifdef __cplusplus
extern "C" {
#endif

//  Includes
#include "vm.h"


typedef struct
{
	UINT32 Width;
	UINT32 Start;
	UINT32 End;
} TDF3_in;

typedef struct
{
	UINT32 Status;
	char Result[8];
	UINT32 Address;
	UINT32 Expected;
	UINT32 Read;
} TDF3_out01;

typedef struct
{
	UINT32 PassFail;
	UINT32 ReturnCode;
	char ResultString[128];
} TDF3_out02;

#ifdef __cplusplus
}
#endif

#endif  /* _VDTDF3_ */
