/******************************************************************************
*
* Module: esd.h
*
* Description: Serial Module Definitions
*
* Project:     HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*******************************************************************************/
#ifndef __ESD_H__
#define __ESD_H__

#include "esdriver.h"

class ESD : public ESTDriver
{
public:
	ESD();
	DSTATUS Open(HANDLE *pHandle, void *pArgs = 0);
	DSTATUS Close(HANDLE dev);
	DSTATUS Write(HANDLE dev, char *buffer, unsigned int nBytes);
	DSTATUS Ioctl(HANDLE dev, unsigned int funcCode, void *pArgs);
	void SetBaudRate(UINT32 Speed);
	HANDLE hDevice;

protected:
};

#endif			// #ifdef __ESD_H__
