#ifndef __UDP_H__
#define __UDP_H__

#include "estack.h"
#include "eed.h"
#include "daemon.h"
#include "ip.h"

class UDPSocket : public IPSocket
{
protected:
	void *GetHeaderBuffer(UINT32 ExtraHeaderBytes);
	void Send(UINT8 *pData1 = 0, UINT32 Length1 = 0, UINT8 *pData2 = 0, UINT32 Length2 = 0);
	void Receive(void *v, UINT32 Length);
	UDPPACKET *pUdpHeader;

public:
	UDPSocket(UINT8 Protocol, UINT16 TargetPort, UINT8 Flags);
	virtual void Vector(UDPPACKET *pUDP, UINT8 *pData, UINT32 DataLength) = 0;
};

#endif			// #ifndef __UDP_H__