/******************************************************************************
*
* Module: flash.h
*
* Description: Flash Module Definitions
*
* Project:     HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer: Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*******************************************************************************/
typedef struct
{
	UINT32 (*WriteVector)(volatile UINT8 *Dest, UINT8 *Source, UINT32 Length);
	UINT32 (*EraseVector)(volatile UINT8 *SectorAddress);
	UINT32 SectorSize;
	UINT8 DeviceName[64];
} FLASHOBJECT;
