/****************************************************************************
*
* Module:		vbios.c
*
* Description:	visionWARE-as-BIOS support
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
****************************************************************************/
//  Includes
#include "vm.h"
#include "vbios.h"

//  External References
void _vbios(void);

//  Global Declarations
tVwareEntry VwareEntry;

void vBiosLaunch(tOsParams *pOS)
{
	VwareEntry.Vector = _vbios;
	VwareEntry.Unresolved = 0;
	GetVmmContext(&VwareEntry.VwareContext);
	pOS->pVwareEntry = (void *)&VwareEntry;
}

Fini(0xF000, vBiosLaunch);
