/* vxBootline.h - This file provides the initial vxWorks defaults for the 
				  user so that a default bootline can be created */

/* Copyright 1999-2000 Wind River Systems, Inc. */

/*
modification history
--------------------
01	19Sept02	RCS		Created
*/
#ifndef __INCvxBootline
#define __INCvxBootline

/* visionWARE to vxWorks default bootline address lookup */
#define PPC		0x4200
#define ARM		0x700
#define XSCALE	0xa0000700
#define MIPS	0x80000700

/* VWARE_PARAMS_BEGIN */
#define vxBOOTLINE_GEN	"n"			/* Generate vxWorks bootline	STRING */
#define vxBOOT_DEV_NAME	"None"		/* vxWorks boot device name	STRING */
#define vxTARGET_NAME	"None"		/* vxWorks target name 	STRING */
#define vxELF_FILE_LOC	"vxworks"	/* vxWorks filename and path 	STRING*/
#define vxUSERNAME		"anonymous"		/* vxWorks bootline username	STRING */
#define vxPASSWORD		"user"		/* vxWorks bootline password	STRING */
#define vxFLAGS			"0x00"		/* vxWorks bootline flags	STRING */
#define	DEFAULT_BOOTLINE_ADDR		PPC		/* Default Bootline Address	CHOICE	PPC	ARM	XSCALE	MIPS */
/* VWARE_PARAMS_END */

#endif /* endif __INCvxBootline */
