/* factory_wtest.uc
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *																					 
 *
 *  system: IXDP2800
 *  subsystem: DIAG
 *  author: ajp, April 02
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */

#include "ixp2800Diag.h"
#include "ixp2800Msf.h"
#include "ixp2000Pci.h"
#include "ixp2800Global.h"
#include "ixp2800Media.h"
#include "stdmac.uc"
#include "pci_dma.h"
.reg A0
.reg $SW0 $SW1 $SW2 $SW3 $SW4 $SW5 $SW6 $SW7 $SW8 $SW9 $SW10 $SW11 $SW12 $SW13 $SW14 $SW15
.reg $SR0 $SR1 $SR2 $SR3 $SR4 $SR5 $SR6 $SR7 $SR8 $SR9 $SR10 $SR11 $SR12 $SR13 $SR14 $SR15
.xfer_order $SW0 $SW1 $SW2 $SW3 $SW4 $SW5 $SW6 $SW7 $SW8 $SW9 $SW10 $SW11 $SW12 $SW13 $SW14 $SW15
.xfer_order $SR0 $SR1 $SR2 $SR3 $SR4 $SR5 $SR6 $SR7 $SR8 $SR9 $SR10 $SR11 $SR12 $SR13 $SR14 $SR15


.reg testparams MacNum NumMacPorts PktCount  debug_addr
.reg MacPort AddrOfData save_element element temp testpkts_addr				 
.reg MacPortCounter MsfAddress
.reg pkt_data0 pkt_data1 pkt_data2 pkt_data3
.reg pkt_data4 pkt_data5 pkt_data6 pkt_data7
.reg pkt_data8 pkt_data9 pkt_data10 pkt_data11
.reg pkt_data12 pkt_data13 pkt_data14 pkt_data15
.reg freelist_data freelist_addr mask rx_addr
.reg address data_reg
.reg temp_reg mailbox0 pci_base

.sig SIG_1 SIG_2 SIG_3 SIG_4 SIG_5 SIG_6 SIG_7 									
.addr SIG_1 1
.addr SIG_7 7
.sig scratch_write 

//	Start of SPI-4 receive ucode

	// Only use context 0
	br=ctx[0, thread_0#]	; if thread 0 continue
	ctx_arb[kill]			; not thread 0,just kill
	nop

thread_0#:
	// Write data to SRAM channel 0 location 0x0 - 0xC 
	immed32[A0, 0]
	immed32[$SW0, 0xEFEF0000]	
	immed32[$SW1, 0xEFEF0000]	
	immed32[$SW2, 0xEFEF0000]	
	immed32[$SW3, 0xEFEF0000]	
loop#:
	sram[write, $SW0, A0, 0, 4], ctx_swap[SIG_1]
		

  	br[loop#]


	
EndOfTest#:
	nop
	ctx_arb[kill]
	nop
	nop
	nop
	br[EndOfTest#]
	nop
	nop
	nop
	nop
	nop
