/* hdlx2416.h - HDLX2416 LED Display Driver */

/* Copyright 1984-1999 Wind River Systems, Inc., 2002 Intel Corporation */

/*
 * $Header: /IXDP2800_BoardSupport_3.5_FCS_310D/VisionWARE2.1/PROJECTS/IXP28X0/Board/IXMB2800/hdlx2416.h 1     3/05/04 2:54p Ajpasqui $
 * $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VisionWARE2.1/PROJECTS/IXP28X0/Board/IXMB2800/hdlx2416.h $
 * 
 * 1     3/05/04 2:54p Ajpasqui
 * 
 * 2     8/20/03 5:00p Daly
 * added VSS tags
 *
modification history
--------------------
01a,16may02, jjd  created
*/

/*
DESCRIPTION

HDLX-2416 LED Display Driver definitions

INCLUDE FILES: 
*/

#ifndef __INChdlx2416h
#define __INChdlx2416h

#define HDLX2416_CR	0
#define HDLX2416_CRAM 0

#define HDLX2416_CR_BRMASK	0x38
#define HDLX2416_CR_B100	0x00	/* 100% brightness */
#define HDLX2416_CR_B60		0x08	/* 60% */
#define	HDLX2416_CR_B40		0x10	/* 40% */
#define	HDLX2416_CR_B27		0x18	/* 27% */
#define	HDLX2416_CR_B17		0x20	/* 17% */
#define	HDLX2416_CR_B10		0x28	/* 10% */
#define	HDLX2416_CR_B7		0x30	/* 7% */
#define	HDLX2416_CR_B3		0x38	/* 3% */
#define HDLX2416_CR_DON		0x00	/* display on */
#define HDLX2416_CR_DBLK	0x04	/* diplay blank */

#define HDLX2416_CR_ENABLE	0x80	/* write to CR */

/* don't bother with individual blanking/cursors */

#endif /* INChdlx2416h */
