/*
 * Copyright 2003 Intel Corp.
 *
 * $Header: /IXDP2800_BoardSupport_3.5_FCS_310D/VisionWARE2.1/PROJECTS/IXP28X0/Board/IXMB2800/ixp2000PMU.h 1     3/05/04 2:54p Ajpasqui $
 * $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VisionWARE2.1/PROJECTS/IXP28X0/Board/IXMB2800/ixp2000PMU.h $
 * 
 * 1     3/05/04 2:54p Ajpasqui
 * 
 * 2     8/21/03 8:08a Daly
 * added vss tags, Intel copyright
 */
#define PMU_BASE	0xc0050000

/* PMU CHAP Event bits */
#define DDBS(x)		((x) << 16)
#define DDBS_PMU	(DDBS(1))
#define DEC0_MUX(x)	((x) << 23)
#define DEC0_MUX_NULL	(DEC0_MUX(7))

/* PMU CHAP Command bits */
#define ACTIVATE	(1 << 0)
#define OP(x)		((x) << 16)
#define OP_STOP		(OP(0))
#define OP_START	(OP(1))
#define OP_SAMPLE	(OP(2))
#define OP_RESET	(OP(4))
#define OP_RESTART	(OP(5))
#define OP_SAMPRESTART	(OP(6))
#define OP_PRELOAD	(OP(15))

#define SAC		(1 << 20)
#define CC(x)		((x) << 21)
#define CC_FALSE	(CC(0))
#define CC_GT		(CC(1))
#define	CC_EQ		(CC(2))
#define CC_GTE		(CC(3))
#define CC_LT		(CC(4))
#define CC_NE		(CC(5))
#define CC_LTE		(CC(6))
#define CC_TRUE		(CC(7))
#define THIE		(1 << 24)
#define CTIE		(1 << 25)
#define	OUIE		(1 << 26)