/* IXP2800Diag.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2800
 *  subsystem:
 *  author:
 *  revisions:
 * 
 * 
 * --------------------------------------------------------------------------
 */
#ifndef __IXP2800DIAG_H
#define __IXP2800DIAG_H

#define Set_LED boarddisplay
#define KEYPRESS (_kbhit())

#define ICACHE_BIT 1<<12
#define DCACHE_BIT 1<<2

#define MASTER 	1
#define SLAVE 	0

#define UENG_CNT 16
#define UENG_MASK 0xffff
#define CONTEXT_CNT 7

#define BOARDIDMASK	 0x000fffff
#define BOARDREVMASK 0xfff00000
#define BOARDREVSHIFT 20
#ifndef OK
#define OK 0
#endif  //OK
#ifndef ERROR
#define ERROR (!OK)
#endif	//ERROR
#ifndef FAIL
#define FAIL (!OK)
#endif //Fail
#ifndef PASS
#define PASS (OK)
#endif  //Pass

#ifndef FALSE
	#define FALSE 0
#endif

#ifndef TRUE
	#define TRUE (!FALSE)
#endif

#define ENABLED 1
#define DISABLED 0

#define GET8(address)  		(*(volatile unsigned char *)(address))
#define PUT8(address,val)  	(*(volatile unsigned char *)(address) = (val))

#define GET16(address)  	(*(volatile unsigned short *)(address))
#define PUT16(address,val)  (*(volatile unsigned short *)(address) = (val))

#define GET32(address)  	(*(volatile unsigned int *)(address))
#define PUT32(address,val)  (*(volatile unsigned int *)(address) = (val))

#endif   // __IXP2800DIAG_H



