/* msf_init.h
 *
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *  system: IXDP2800
 *  subsystem: DIAG
 *  author: dalsraja, May 27, 2002
 *  revisions: 
 * 
 * 
 * --------------------------------------------------------------------------
 */

#ifndef MSF_INIT_H
#define MSF_INIT_H

#ifndef IXP2800
#include "common.h"
#endif //IXP2800

#define PLL_25MHZ	0x0
#define PLL_50MHZ	0x5
#define PLL_104MHZ	0xA
#define PLL_125MHZ	0xF

#define MSF_CLKCFG_MEDIA	PLL_104MHZ
#define MSF_CLKCFG_SF		PLL_125MHZ

#define MSF_CLKCFG_IN		(MSF_CLKCFG_MEDIA | (MSF_CLKCFG_SF << 4))
#define MSF_CLKCFG_EG		(MSF_CLKCFG_MEDIA | (MSF_CLKCFG_SF << 4))

#define MCCR_MASK1	0x0000F0F0
#define MCCR_MASK2	0x000000F0
#define MCCR_MASK3	0x00000000

void Msf_OutOfReset(void);
int Msf_PLL();
void Set_Rcomp(void);

#endif
