/****************************************************************************
*
* Module:		core.c
*
* Description:	ARM4 family routines
*
* Project:		HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:		See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
****************************************************************************/
//  Includes
#include "vm.h"

//  External References
extern char *VleStackPointer;
extern char VleStackEnd[];

/****************************************************************************
* Function:	CoreInit(void)
*
* Purpose:	perform any core-specific initialization.  Called by CpuInit().
*
* Returns:	nothing
****************************************************************************/
void CoreInit(void)
{
	VleStackPointer = &VleStackEnd[0];
}

Init(11, CoreInit);
