*****************************************************************************
*
* Module:	VwareLib.s
*
* Description:	Application entry point into visionWARE.
*
* Project:	HSI VisionWare -- vWare
*
* Functions:
*
* Notes:
*
* History:	See Visual SourceSafe History
*
* Disclaimer:	Copyright 1999-2000 Wind River Systems, Inc. All Rights Reserved
*
*****************************************************************************
*=== Macros ======================
VWARELIB:	.macro	number,name
	.globl	name
name:
	ldr	r12,=number
	b	CallVware
	.literals
	.endm

*=== External References =========
	.extern	VwareEntry

*=== Section =====================
	.text

*****************************************************************************
* CallVware
*****************************************************************************
* Called with:	R12 = function number
*		other registers are function-dependent
* Returns:	function-dependent
* Prototype:	N/A
*****************************************************************************
CallVware:
	stmfd	sp!,{r12}
	ldr	r12,=VwareEntry
	add	r12,r12,r9
	str	v1,[r12,#0x10]
	ldmfd	sp!,{v1}
	ldr	pc,[r12,#0x00]
	.literals

	.include "vwarelib.inc"

	.end

