/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/11/04 3:03p $
*   LAST MODIFIED:  $Modtime: 3/05/04 12:05p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf1810x/ixf18100_d.h $
*   WORKFILE:       $Workfile: ixf18100_d.h $
*
* --------------------------------------------------------------------------
* Project: ixf18100 family device API
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf1810x/ixf18100_d.h $
 * 
 * 1     3/11/04 3:03p Tepulkow
 * 
 * 1     5/16/03 1:43p Tepulkow
* 
* 5     12/04/01 4:23p Pkjain2
* 
* 4     11/20/01 3:46p Pkjain2
* 
* 3     11/10/01 11:25a Pkjain2
* 
* 2     11/08/01 3:26p Pkjain2
* 
* 1     7/18/01 10:55a Rfranz
* Initial check in - file headers only
* 
* --------------------------------------------------------------------------
*/

#ifndef __IXF18100_D_H__
#define __IXF18100_D_H__



#define ixf18100_SONET_BASE        0x1000     
#define ixf18100_SONET_RX_BASE     0x1100     
#define ixf18100_SONET_TX_BASE     0x1800     
#define ixf18100_SONET_APS_BASE    0x2000     
#define ixf18100_SPI4_BASE         0x3000      
#define ixf18100_POS_BASE          0x3300     
#define ixf18100_GFP_BASE          0x3400      
#define ixf18100_PCS_BASE          0x3200      
#define ixf18100_XGMAC_BASE        0x3100      
#define ixf18100_GLOBAL_BASE       0x0      

/* This shift allows either address or pointer arithmetic to be used. */
#define ixf18100_REG_SHIFT          0x0

#define ixf_BIT(shift)		(0x1 << shift)

#define HAL_IXF18100_READ	READ_FROM_HW

#define HAL_IXF18100_WRITE	WRITE_TO_HW

#endif /*__IXF18100_D_H__*/

