/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/11/04 3:01p $
*   LAST MODIFIED:  $Modtime: 3/05/04 12:05p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf_api_pos_d.h $
*   WORKFILE:       $Workfile: ixf_api_pos_d.h $
*
* --------------------------------------------------------------------------
* Project: 
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/VxWorks/MediaCardDrivers/IXD28192/ixf/ixf_api_pos_d.h $
 * 
 * 1     3/11/04 3:01p Tepulkow
 * 
 * 1     5/16/03 1:41p Tepulkow
* 
* 9     2/03/03 3:36p Jaalliso
* Detabbed, fixed code formatting
* 
* 8     7/08/02 1:17p Pkjain2
* Moved Calypso specific data stuctures into Calypso block specific data
* structure file.
* 
* 7     4/15/02 4:52p Pkjain2
* Cleaned up some structures that were not being used.
* 
* 6     12/04/01 4:22p Pkjain2
* 
* 5     11/10/01 11:26a Pkjain2
* 
* 4     11/02/01 5:10p Pkjain2
* 
* 3     8/17/01 2:35p Pkjain2
* 
* 1     8/15/01 8:34a Pkjain2
* POS Files
* 
* 1     7/18/01 10:54a Rfranz
* Initial check in - file headers only
* 
* --------------------------------------------------------------------------
*/

#ifndef IXF_API_POS_D_H
#define IXF_API_POS_D_H

typedef struct 
{
    ulong   ulPosRxGoodFrmCnt;
    ulong   ulPosRxGoodFrmByteCnt;
    ulong   ulPosRxAbortedFrmCnt;
    ulong   ulPosRxAbortedFrmByteCnt;
    ulong   ulPosRxFcsErrCnt;
    ulong   ulPosRxFcsErrByteCnt;
    ulong   ulPosRxMinPktLenErrCnt;
    ulong   ulPosRxMaxPktLenErrCnt;
}ixfApi_PosRxCntr_t;

typedef struct 
{
    
    ulong   ulPosTxFrmCnt;
    ulong   ulPosTxByteCnt;
}ixfApi_PosTxCntr_t;

typedef struct 
{
    ixfApi_PosRxCntr_t      tPosRxCounters;
    ixfApi_PosTxCntr_t      tPosTxCounters;
}ixfApi_PosCntr_t;

#endif /* IXF_API_POS_D_H */
