/*****************************************************************************
 *                            Intel Proprietary
 *
 * Copyright (c) 1998-2003 By Intel Corporation.  All rights reserved.  
 * No part of this program or publication may be reproduced, transmitted,
 * transcribed, stored in a retrieval system, or translated into any language
 * or computer language in any form or by any means, electronic, mechanical,
 * magnetic, optical, chemical, manual, or otherwise, without the prior
 * written permission of:
 *                        Intel Corporation
 *                        2200 Mission College Blvd.
 *                        Santa Clara, CA  95052-8119
 *****************************************************************************/

/* ixd2810Port.h - Variables to maintain the current status of the port links

modification history
--------------------
01a, 20oct02,eme	created from Nancy Wang portStat.h
*/
#ifndef __INCixd2810Porth
#define __INCixd2810Porth

typedef enum {DOWN, UP} LinkStates;
typedef enum {SPEED_10, SPEED_100, SPEED_1000} SpeedStates;
typedef enum {HALF, FULL} DuplexStates;

typedef struct PortStatus {
	LinkStates link;
	SpeedStates speed;
	DuplexStates duplex;
} DEV_PORTS;

#endif /* __INCixd2810Porth */

