/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/include/ixf1110_util.h $
*   WORKFILE:       $Workfile: ixf1110_util.h $
*
* --------------------------------------------------------------------------
* Project: ixf1110 family device API
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/include/ixf1110_util.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:57p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 3     10/07/03 2:03p Tepulkow
 * General cleanup for code review
 * 
 * 2     9/15/03 3:36p Tepulkow
 * changed setbits16 to setbits32 for 1110
 * 
 * 1     8/04/03 3:50p Tepulkow
 * 
 * 1     5/16/03 1:43p Tepulkow
* 
* 
* --------------------------------------------------------------------------
*/
#ifndef __IXF1110_UTIL_H__
#define __IXF1110_UTIL_H__

/******************************************************************************
* Function : Ixf1110SetBits32
*------------------------------------------------------------------------------
* Description : This function does a read-modify-write on a set of bits in
*       a 32 bit register.
*------------------------------------------------------------------------------
* Inputs  : puiReg: Address of the register to be modified.
*           uiMask: Mask for the bits to be modified.
*           uiValue: Value to be written into the register.
* Outputs : None
*------------------------------------------------------------------------------
* Returns : None
*------------------------------------------------------------------------------
* Access Globals :
*------------------------------------------------------------------------------
* Comments : 
******************************************************************************/
extern void
Ixf1110SetBits32(bb_RegPointer_type puiReg, ulong uiMask, ulong uiValue);

#endif /* __IXF1110_UTIL_H__ */
