/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_pos_d.h $
*   WORKFILE:       $Workfile: ixf_api_pos_d.h $
*
* --------------------------------------------------------------------------
* Project: 
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/ixf_api_pos_d.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 2     10/07/03 2:02p Tepulkow
 * General cleanup for code review
 * 
* --------------------------------------------------------------------------
*/

#ifndef IXF_API_POS_D_H
#define IXF_API_POS_D_H

typedef struct 
{
    ulong   ulPosRxGoodFrmCnt;
    ulong   ulPosRxGoodFrmByteCnt;
    ulong   ulPosRxAbortedFrmCnt;
    ulong   ulPosRxAbortedFrmByteCnt;
    ulong   ulPosRxFcsErrCnt;
    ulong   ulPosRxFcsErrByteCnt;
    ulong   ulPosRxMinPktLenErrCnt;
    ulong   ulPosRxMaxPktLenErrCnt;
}ixfApi_PosRxCntr_t;

typedef struct 
{
    
    ulong   ulPosTxFrmCnt;
    ulong   ulPosTxByteCnt;
}ixfApi_PosTxCntr_t;

typedef struct 
{
    ixfApi_PosRxCntr_t      tPosRxCounters;
    ixfApi_PosTxCntr_t      tPosTxCounters;
}ixfApi_PosCntr_t;

#endif /* IXF_API_POS_D_H */
