/*
*---------------------------------------------------------------------------
*                                                                      
*                  I N T E L   P R O P R I E T A R Y                   
*                                                                      
*     COPYRIGHT (c)  2003 BY  INTEL  CORPORATION.  ALL RIGHTS          
*     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
*     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
*     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
*     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
*     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
*     THE PRIOR WRITTEN PERMISSION OF :                                
*                                                                      
*                        INTEL  CORPORATION                            
*                                                                     
*                     2200 MISSION COLLEGE BLVD                        
*                                                                      
*               SANTA  CLARA,  CALIFORNIA  95052-8119                  
*                                                                      
*---------------------------------------------------------------------------
*
*
*   AUTHOR:         $Author: Tepulkow $
*   DATE:           $Date: 3/05/04 2:59p $
*   LAST MODIFIED:  $Modtime: 3/05/04 2:06p $
*   REV#:           $Revision: 1 $
*   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/linuxkern.h $
*   WORKFILE:       $Workfile: linuxkern.h $
*
* --------------------------------------------------------------------------
* Project: IXF1110
*
* Purpose: 
*          
* Notes:
*          
* --------------------------------------------------------------------------
* CompilerFlags: 
* --------------------------------------------------------------------------
*   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd2810/IXF/linuxkern.h $
 * 
 * 1     3/05/04 2:59p Tepulkow
 * 
 * 1     3/05/04 2:58p Tepulkow
 * 
 * 1     3/05/04 2:54p Tepulkow
 * 
 * 4     10/10/03 2:50p Tepulkow
 * added include for linux\slab.h to clean up build warns
 * 
 * 3     9/16/03 2:04p Tepulkow
 * Another test
*/ 
#ifndef __LINUXKERN_H__
#define __LINUXKERN_H__

#include <linux/mm.h>
#include <linux/slab.h>

#define OS_CMD_METRIC_EVENT(eventID, evBuffer, evBufLen)
#define OS_CMD_ALLOC_MEM(size) kmalloc(size,GFP_KERNEL)
#define OS_CMD_DEALLOC_MEM(ptr) kfree(ptr)
#define OS_CMD_ENABLE_PREEMPTION()
#define OS_CMD_DISABLE_PREEMPTION()

#endif	/*__LINUXKERN_H__*/
