/*
 *---------------------------------------------------------------------------
 *                                                                      
 *                  I N T E L   P R O P R I E T A R Y                   
 *                                                                      
 *     COPYRIGHT (c)  2001 BY  INTEL  CORPORATION.  ALL RIGHTS          
 *     RESERVED.   NO  PART  OF THIS PROGRAM  OR  PUBLICATION  MAY      
 *     BE  REPRODUCED,   TRANSMITTED,   TRANSCRIBED,   STORED  IN  A    
 *     RETRIEVAL SYSTEM, OR TRANSLATED INTO ANY LANGUAGE OR COMPUTER    
 *     LANGUAGE IN ANY FORM OR BY ANY MEANS, ELECTRONIC, MECHANICAL,    
 *     MAGNETIC,  OPTICAL,  CHEMICAL, MANUAL, OR OTHERWISE,  WITHOUT    
 *     THE PRIOR WRITTEN PERMISSION OF :                                
 *                                                                      
 *                        INTEL  CORPORATION                            
 *                                                                     
 *                     2200 MISSION COLLEGE BLVD                        
 *                                                                      
 *               SANTA  CLARA,  CALIFORNIA  95052-8119                  
 *                                                                      
 *---------------------------------------------------------------------------
 *
 *
 *   AUTHOR:         $Author: Tepulkow $
 *   DATE:           $Date: 3/08/04 1:56p $
 *   LAST MODIFIED:  $Modtime: 3/05/04 2:07p $
 *   REV#:           $Revision: 1 $
 *   LOGFILE:        $Logfile: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_api_gfp_d.h $
 *   WORKFILE:       $Workfile: ixf_api_gfp_d.h $
 *
 * --------------------------------------------------------------------------
 * Project: 
 *
 * Purpose: 
 *          
 * Notes:
 *          
 * --------------------------------------------------------------------------
 * CompilerFlags: 
 * --------------------------------------------------------------------------
 * --------------------------------------------------------------------------
 *   $Log: /IXDP2800_BoardSupport_3.5_FCS_310D/linux/MediaCardDrivers/ixd28192/IXF/ixf_api_gfp_d.h $
 * 
 * 1     3/08/04 1:56p Tepulkow
 * 
 * 1     6/27/03 4:44p Daly
 * 
 * 8     7/08/02 1:17p Pkjain2
 * Moved Calypso specific data stuctures into Calypso block specific data
 * structure file.
 * 
 * 7     4/15/02 4:52p Pkjain2
 * Cleaned up some structures that were not being used.
 * 
 * 6     12/04/01 4:22p Pkjain2
 * 
 * 5     11/10/01 11:26a Pkjain2
 * 
 * 4     11/08/01 3:26p Pkjain2
 * 
 * 3     11/06/01 2:01p Pkjain2
 * 
 * 2     11/02/01 5:10p Pkjain2
 * 
 * 1     9/07/01 11:12a Pkjain2
 * 
 * 1     8/15/01 8:34a Pkjain2
 * GFP Files
 * 
 * 1     7/18/01 10:54a Rfranz
 * Initial check in - file headers only
 * 
 * --------------------------------------------------------------------------
 */
#ifndef IXF_API_GFP_D_H
#define IXF_API_GFP_D_H

typedef struct {

	ulong	ulGfpRxFrmSbcHecFailCnt;
	ulong	ulGfpRxFrmMbcHecCnt;
	ulong	ulGfpRxFrmSbtHecFailCnt;
	ulong	ulGfpRxFrmMbtHecCnt;
	ulong	ulGfpRxFrmeHecCnt;
	ulong	ulGfpRxCtrlFrmCrcErrCnt;
	ulong	ulGfpRxFrmFcsErrCnt;
	ulong	ulGfpRxCtrlFrmCnt;
	ulong	ulGfpRxLargeFrmCnt;
	ulong	ulGfpRxGoodFrmCnt;

	uchar	ucGfpRxCtrlFrmIntCnt;
	uchar	ucGfpRxtHecErrIntCnt;
	uchar	ucGfpRxeHecErrIntCnt;
	uchar	ucGfpRxFcsErrIntCnt;
}ixfApi_GfpRxCntr_t;

typedef struct {

	ulong	ulGfpTxGoodFrmCnt;
	ulong	ulGfpTxErrFrmCnt;
}ixfApi_GfpTxCntr_t;

typedef struct {

	ixfApi_GfpRxCntr_t	GfpRxCntr;
	ixfApi_GfpTxCntr_t	GfpTxCntr;
}ixfApi_GfpCntr_t;

#endif /* IXF_API_GFP_D_H */
